This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 834311 - Wrong Pool Id in "subscription-manager list --available"
Wrong Pool Id in "subscription-manager list --available"
Status: CLOSED NOTABUG
Product: Katello
Classification: Community
Component: Webservice API (Show other bugs)
1.X
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 09:59 EDT by Hayk Hovsepyan
Modified: 2012-12-17 15:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 15:27:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmccune: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-06-21 09:59:50 EDT
Description of problem:
When executing "subscription-manager list --available" it shows result with wrong "Pool Id" value.

Version-Release number of selected component (if applicable):
katello-certs-tools-1.1.6-1.el6.noarch
katello-glue-foreman-0.2.41-1.el6.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
pulp-1.1.10-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-0.2.41-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.10-1.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
python-qpid-0.14-7.el6_2.noarch
katello-glue-pulp-0.2.41-1.el6.noarch
candlepin-0.5.32-1.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-0.2.41-1.el6.noarch
katello-configure-0.2.26-1.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-0.2.40-1.el6.noarch
katello-cli-0.2.40-1.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-common-0.2.41-1.el6.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-selinux-0.2.5-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-1.0.3-1.el6.noarch
katello-repos-0.2.4-1.el6.noarch
pulp-common-1.1.10-1.el6.noarch


How reproducible:
always

Steps to Reproduce:
1. Register consumer to katello by CLI "subscription-manager register --username admin --password admin --org $orgname --environment $env --name $name"
2. Now try to list available subscriptions by CLI "subscription-manager list --available". You will see there that the "Pool Id:" field value is not the correct one.
3. Try to subscribe to this pool by CLI "subscription-manager subscribe --pool $poolid". You will see that this "pool Id" is invalid. By WebUI you can see which is the correct pool Id.
  
Actual results:
Wrong Pool Id value is returned in step 2.

Expected results:
Correct Pool Id value in step 2.

Additional info:
On CFSE it works OK.
Comment 1 Pavel Pokorny 2012-07-18 08:56:20 EDT
Subscription manager print wrong id. Candlepin send pool id in 'id' parameter and subscription manager print 'productId' which is different.
Comment 2 Mike McCune 2012-09-05 11:24:50 EDT
what version of subscription-manager are you using?
Comment 3 Pavel Pokorny 2012-09-06 03:51:17 EDT
Not working with:

# subscription-manager version
remote entitlement server: Unknown
subscription-manager: 1.0.3-1.fc16
python-rhsm: 1.0.2-1.fc16

Updated to:

# subscription-manager version
remote entitlement server: Unknown
remote entitlement server type: subscription management service
subscription-manager: 1.0.13-1.fc16
python-rhsm: 1.0.5-1.fc16

And it is fixed! subscription-manager list --available shows correct Pool Id and the productId is labelled SKU.

Note You need to log in before you can comment on or make changes to this bug.